function [ curva_estimada ] = CalculaCurvaServico( tamanhoAmostra, r, numUsuarios)
% tamanhoAmostra = tamanho da amostra
% r = taxa de transmissão em Mbits/s
% numUsuarios = número de usuários

r=(r*10^6)/8; % converte em bytes
curva_estimada = zeros(1,tamanhoAmostra);

for i=1:tamanhoAmostra
    curva_estimada(i) = r*floor(i/numUsuarios) + r*(min(i-floor(i/numUsuarios)*numUsuarios,1));
end
